[SRU] ceph 12.2.11

Bug #1813807 reported by James Page on 2019-01-29
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Pike
Medium
James Page
Queens
Medium
James Page
ceph (Ubuntu)
Undecided
Unassigned
Bionic
Medium
James Page

Bug Description

[Impact]
This release sports mostly bug-fixes but also some security fixes and we would like to make sure all of our supported customers have access to these improvements.

The update contains the following package updates:

   * ceph 12.2.11

[Test Case]
The following SRU process was followed:

https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

James Page (james-page) on 2019-01-29
Changed in ceph (Ubuntu):
status: New → Invalid
Changed in ceph (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → James Page (james-page)
James Page (james-page) on 2019-02-11
summary: - [SRU] ceph 12.2.10
+ [SRU] ceph 12.2.11
description: updated
Changed in cloud-archive:
status: New → Invalid

Hello James, or anyone else affected,

Accepted ceph into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceph/12.2.11-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ceph (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted ceph into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
James Page (james-page) wrote :

bionic/proposed test results:

==============================
Failed 1 tests - output below:
==============================

tempest.api.identity.v3.test_domains.DefaultDomainTestJSON.test_default_domain_exists[id-17a5de24-e6a0-4e4a-a9ee-d85b6e5612b5,smoke]
------------------------------------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    b'Traceback (most recent call last):'
    b' File "/home/ubuntu/tools/openstack-charm-testing/tempest/tempest/api/identity/v3/test_domains.py", line 38, in test_default_domain_exists'
    b" domain = self.domains_client.show_domain(self.domain_id)['domain']"
    b' File "/home/ubuntu/tools/openstack-charm-testing/tempest/tempest/lib/services/identity/v3/domains_client.py", line 81, in show_domain'
    b" resp, body = self.get('domains/%s' % domain_id)"
    b' File "/home/ubuntu/tools/openstack-charm-testing/tempest/tempest/lib/common/rest_client.py", line 298, in get'
    b" return self.request('GET', url, extra_headers, headers)"
    b' File "/home/ubuntu/tools/openstack-charm-testing/tempest/tempest/lib/common/rest_client.py", line 679, in request'
    b' self._error_checker(resp, resp_body)'
    b' File "/home/ubuntu/tools/openstack-charm-testing/tempest/tempest/lib/common/rest_client.py", line 780, in _error_checker'
    b' raise exceptions.Forbidden(resp_body, resp=resp)'
    b'tempest.lib.exceptions.Forbidden: Forbidden'
    b"Details: {'message': 'You are not authorized to perform the requested action: identity:get_domain.', 'code': 403, 'title': 'Forbidden'}"
    b''

Captured pythonlogging:
~~~~~~~~~~~~~~~~~~~~~~~
    b'2019-03-19 17:00:02,890 4588 INFO [tempest.lib.common.rest_client] Request (DefaultDomainTestJSON:test_default_domain_exists): 403 GET http://10.5.0.30:35357/v3/domains/c2b9f9726f2e4c0babd0eada37b69edc 0.082s'
    b"2019-03-19 17:00:02,890 4588 DEBUG [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}"
    b' Body: None'
    b" Response - Headers: {'date': 'Tue, 19 Mar 2019 17:00:02 GMT', 'server': 'Apache/2.4.29 (Ubuntu)', 'content-length': '137', 'vary': 'X-Auth-Token', 'x-distribution': 'Ubuntu', 'x-openstack-request-id': 'req-11d2b7f4-d9c2-4b7c-bb2d-3fb22e50fc02', 'connection': 'close', 'content-type': 'application/json', 'status': '403', 'content-location': 'http://10.5.0.30:35357/v3/domains/c2b9f9726f2e4c0babd0eada37b69edc'}"
    b' Body: b\'{"error": {"message": "You are not authorized to perform the requested action: identity:get_domain.", "code": 403, "title": "Forbidden"}}\''
    b''

======
Totals
======
Ran: 92 tests in 580.1724 sec.
 - Passed: 83
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 1
Sum of execute time for each test: 765.2054 sec.

The single test that failed is unrelated to this SRU and most likely due to a change in tempest.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Brian Murray (brian-murray) wrote :

Is the test that failed also failing with the version of ceph in -updates for Ubuntu 18.04?

Brian Murray (brian-murray) wrote :

I ask as I'm not familiar with the specific test and don't feel comfortable releasing the package with a test failure.

Changed in ceph (Ubuntu Bionic):
status: Fix Committed → Incomplete
James Page (james-page) wrote :

fair enough - digging into this failure today.

FTR I see the same issue with the latest stein packages so its def not a bionic-proposed specific issue - I'll validate with the release pocket to confirm

James Page (james-page) wrote :

Confirmed - I see exactly the same issue with proposed disabled.

The commit and review referenced in #7 landed in the last two weeks so is the probably root cause.

Changed in ceph (Ubuntu Bionic):
status: Incomplete → Fix Committed
James Page (james-page) wrote :

That said I think we can configured the testing users better - they get created in the admin_domain, but the failing test is trying to get the defaults on the 'default' domain.

As the user is not a member of the default domain permission is denied.

James Page (james-page) wrote :

Tweaking the default domain ID to match the domain where testing users are created resolved the test failure for tempest.api.identity.admin.v3.test_domains.DefaultDomainTestJSON.test_default_domain_exists

James Page (james-page) wrote :

Re-running bionic-proposed testing with testing configuration changes.

James Page (james-page) wrote :

bionic-proposed:

======
Totals
======
Ran: 92 tests in 595.1569 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 783.2729 sec.

James Page (james-page) wrote :

$ juju status ceph-*
Model Controller Cloud/Region Version SLA Timestamp
bqueens-proposed jamespage-serverstack-edge serverstack/serverstack 2.6-beta1 unsupported 14:07:16Z

App Version Status Scale Charm Store Rev OS Notes
ceph-mon 12.2.11 active 3 ceph-mon jujucharms 34 ubuntu
ceph-osd 12.2.11 active 3 ceph-osd jujucharms 278 ubuntu

Unit Workload Agent Machine Public address Ports Message
ceph-mon/0* active idle 2 10.5.0.12 Unit is ready and clustered
ceph-mon/1 active idle 3 10.5.0.33 Unit is ready and clustered
ceph-mon/2 active idle 4 10.5.0.64 Unit is ready and clustered
ceph-osd/0 active idle 5 10.5.0.17 Unit is ready (1 OSD)
ceph-osd/1 active idle 6 10.5.0.77 Unit is ready (1 OSD)
ceph-osd/2* active idle 7 10.5.0.8 Unit is ready (1 OSD)

Machine State DNS Inst id Series AZ Message
2 started 10.5.0.12 215ae0de-5275-4f2f-86ba-3917ad6e99a3 bionic nova ACTIVE
3 started 10.5.0.33 f6a96298-12a6-433c-ad4c-7c40ec1b66bf bionic nova ACTIVE
4 started 10.5.0.64 e78266a4-1c0d-45a4-85a6-0ea0fa1550b9 bionic nova ACTIVE
5 started 10.5.0.17 847be97f-e547-4c08-9150-941afb538180 bionic nova ACTIVE
6 started 10.5.0.77 d6a6e5fb-c1d1-4360-9f00-2c16f7cdd27b bionic nova ACTIVE
7 started 10.5.0.8 784eaa7c-5730-46b9-8bc3-173131ee8d3f bionic nova ACTIVE

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 12.2.11-0ubuntu0.18.04.1

---------------
ceph (12.2.11-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream point release (LP: #1813807).
  * d/p/lp1813582.patch: Dropped, included in upstream release.
  * d/p/misc-32-bit-fixes.patch: Misc fixes for 32bit FTBFS.
  * d/p/s390x-link.patch: Fix linking in s390x.

 -- James Page <email address hidden> Fri, 15 Feb 2019 10:08:01 +0000

Changed in ceph (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

xenial/queens-proposed

======
Totals
======
Ran: 92 tests in 462.7768 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 548.7924 sec.

tags: added: verification-queens-done
removed: verification-queens-needed
James Page (james-page) wrote :

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceph - 12.2.11-0ubuntu0.18.04.1~cloud0
---------------

 ceph (12.2.11-0ubuntu0.18.04.1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 ceph (12.2.11-0ubuntu0.18.04.1) bionic; urgency=medium
 .
   * New upstream point release (LP: #1813807).
   * d/p/lp1813582.patch: Dropped, included in upstream release.
   * d/p/misc-32-bit-fixes.patch: Misc fixes for 32bit FTBFS.
   * d/p/s390x-link.patch: Fix linking in s390x.

Hello James, or anyone else affected,

Accepted ceph into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-pike-needed
James Page (james-page) wrote :

xenial/pike-proposed

======
Totals
======
Ran: 94 tests in 361.8509 sec.
 - Passed: 89
 - Skipped: 5
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 458.4531 sec.

tags: added: verification-pike-done
removed: verification-pike-needed

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceph - 12.2.11-0ubuntu0.17.10.1~cloud0
---------------

 ceph (12.2.11-0ubuntu0.17.10.1~cloud0) xenial; urgency=medium
 .
   * New upstream stable release (LP: #1813807).
   * d/p/misc-32-bit-fixes.patch: Misc fixes for 32bit FTBFS.
   * d/p/s390x-link.patch: Fix linking in s390x.
   * d/control: Include ca-patches ceph patch for Xenial backporting.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers